rte_eth_rxq_info(3)

NAME
rte_eth_rxq_info

SYNOPSIS

#include <rte_ethdev.h>

  Data Fields

struct rte_mempool * mp
struct rte_eth_rxconf conf
uint8_t scattered_rx
uint8_t queue_state
uint16_t nb_desc
uint16_t rx_buf_size
uint8_t avail_thresh

Detailed Description

Ethernet device Rx queue information structure. Used to retrieve information about configured queue.

Definition at line 1894 of file rte_ethdev.h.

Field Documentation

  struct rte_mempool* mp
mempool used by that queue.

Definition at line 1895 of file rte_ethdev.h.

  struct rte_eth_rxconf conf
queue config parameters.

Definition at line 1896 of file rte_ethdev.h.

  uint8_t scattered_rx
scattered packets Rx supported.

Definition at line 1897 of file rte_ethdev.h.

  uint8_t queue_state
one of RTE_ETH_QUEUE_STATE_*.

Definition at line 1898 of file rte_ethdev.h.

  uint16_t nb_desc
configured number of RXDs.

Definition at line 1899 of file rte_ethdev.h.

  uint16_t rx_buf_size
hardware receive buffer size.

Definition at line 1900 of file rte_ethdev.h.

  uint8_t avail_thresh
Available Rx descriptors threshold defined as percentage of Rx queue size. If number of available descriptors is lower, the event RTE_ETH_EVENT_RX_AVAIL_THESH is generated. Value 0 means that the threshold monitoring is disabled.

Definition at line 1907 of file rte_ethdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.